All-in-one package (recommended installation)

Install via a single package that bundles all the different services and tools required to run GitLab.

    Ubuntu

    18.04 LTS, 16.04 LTS

    Debian

    10, 9, 8

    CentOS 8

    and RHEL

    CentOS 7

    and RHEL, Oracle, Scientific

    CentOS 6

    and RHEL, Oracle, Scientific

    OpenSUSE Leap 15.1

    and SUSE Linux Enterprise Server 12.2

    Raspberry Pi 2

    Raspbian Stretch

Update from an old version of GitLab

Upgrade from GitLab Community Edition

Upgrade from manually installed Omnibus package

Third-party applications that support GitLab